Bug 149204 - eggcups 'clear completed Documents' needs to be used multiple times to clear jobs
Summary: eggcups 'clear completed Documents' needs to be used multiple times to clear...
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: desktop-printing   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-02-21 02:51 UTC by Jef Spaleta
Modified: 2008-02-27 11:50 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-27 11:50:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
start with 4 completed documents in the fax queue (19.75 KB, image/png)
2006-04-17 22:07 UTC, Bernard Johnson
no flags Details
clicking "clear completed documents" removes two, two are left (13.42 KB, image/png)
2006-04-17 22:08 UTC, Bernard Johnson
no flags Details
wait about 5 minutes, but no change to queue (13.49 KB, image/png)
2006-04-17 22:09 UTC, Bernard Johnson
no flags Details
clear completed documents again and 1 document is left (10.39 KB, image/png)
2006-04-17 22:10 UTC, Bernard Johnson
no flags Details

Description Jef Spaleta 2005-02-21 02:51:57 UTC
Description of problem:

small bug

i have multiple completed jobs listed in the display. 
I select Edit->Clear Completed Documents 
and 2 or 3 items are removed, but not all the items. 
I must use the clear completed docs  button several times to clear
them. What's weird is the number of items removed isn't consistent nor
predictable. Its not related to the number of items selected as far as
I can tell. 

I guess i'm expecting it to either remove all the completed docs or
the completed docs that are hilited.

Version-Release number of selected component (if applicable):
desktop-printing-0.18-2

Comment 1 Ray Strode [halfline] 2005-08-31 15:57:42 UTC
Hi Jef,

Are you still seeing this?

Comment 2 Jef Spaleta 2005-09-01 00:51:36 UTC
This is still happening
I just did 6 printjobs via evince. All six showed up in eggcups
"Document print status" window as Completed.

I selected "Clear Completed Documents" and the 3 oldest documents are cleared
All subsequent "clear" attempts remove only one item.

This is on a rawhide box synced as of yesterday's rawhide tree.

-jef

Comment 3 Bernard Johnson 2006-04-17 19:02:38 UTC
Still happening in FC5.

Comment 4 John (J5) Palmieri 2006-04-17 19:32:48 UTC
It could be that we are sending a command to cups and it takes awhile to update.
 Can you hit the button once and wait a minute to see if they clear? If not hit
it again and see if the rest clear (in which case it could also be an update error)

Comment 5 Bernard Johnson 2006-04-17 22:07:21 UTC
Created attachment 127898 [details]
start with 4 completed documents in the fax queue

Comment 6 Bernard Johnson 2006-04-17 22:08:53 UTC
Created attachment 127899 [details]
clicking "clear completed documents" removes two, two are left

Comment 7 Bernard Johnson 2006-04-17 22:09:46 UTC
Created attachment 127900 [details]
wait about 5 minutes, but no change to queue

Comment 8 Bernard Johnson 2006-04-17 22:10:35 UTC
Created attachment 127901 [details]
clear completed documents again and 1 document is left


Note You need to log in before you can comment on or make changes to this bug.